Weet u zeker dat u dit wilt doen? Probeer het a.u.b. opnieuw.

Soms, WordPress toont een fout zoals:

Weet u zeker dat u dit wilt doen?

Probeer het a.u.b. opnieuw.

Dit als vaak veroorzaakt door geheugenbeperkingen (script loopt uit het geheugen als gevolg van meerdere plugins en complexe thema geïnstalleerd op site).

Om op te lossen dit geheugen moeten grenzen worden verhoogd van de standaard van 40M. Meestal corrigeert 128M de meeste opstellingen, maar 256M kan worden gebruikt als meer vereist is voor bepaalde bewerkingen. Dit kan worden gedaan vanaf de wp-config.php :

define( 'WP_MEMORY_LIMIT', '128M' );

Een plugin zoals WP Config File Editor kan worden gebruikt.

Dat werkt niet? Fout kan ook worden veroorzaakt door slechte plugin en/of thema-code die geheugen gebruik lussen genereert.
Plugins uit te schakelen en over te schakelen naar een standaard thema zal het bevestigen van het probleem in dit geval. Vervolgens plugins/thema opnieuw geactiveerde één voor één kan zijn om te identificeren welke een / het probleem wordt veroorzaakt door de combinatie.

 

Upgraden naar de nieuwste CURL en Open SSL in WHM

Probleem:
e-commerce leveranciers zoals Paypal meer strikte SSL voorschriften ingevoerd. Ex:
“OpenSSL vereist >= 1.0.1 te worden geïnstalleerd op uw server”

PHP info shows:
CURL
SSL versie OpenSSL/1.0.0

Fix:

  • Installeren van de nieuwste CURL:

cd /usr/local/src
wget https://curl.haxx.se/Download/curl-7.52.1.tar.gz
Tar - xvzf curl-7.52.1.tar.gz
CD curl *

./configureren –inschakelen-schroefdraad-resolver –inschakelen-http –enable-ftp –inschakelen-proxy –inschakelen-tftp –inschakelen-ntlm –inschakelen-static –met ssl = / usr/local/ssl –inschakelen ipv6 –inschakelen-gedeeld –met-libidn
maken && Maak installeren

/usr/local/bin/curl –Versie

  • Configureren van PHP om het te gebruiken-Maak een nieuw bestand /var/cpanel/easy/apache/rawopts/all_php5 met deze inhoud:
    –with-curl=/usr/local/src/curl-7.52.1
  • Herbouwen van Apache & PHP met EasyApache 3.

Resultaat:

PHP info moet nu worden weergegeven.:
cURL informatie 7.52.1
SSL versie OpenSSL/1.0.1e